import { scaleOrdinal } from 'd3';

const colorScale = scaleOrdinal()
  .domain(['apple', 'lemon'])
  .range(['#c11d1d', '#eae600']);

const radiusScale = scaleOrdinal()
  .domain(['apple', 'lemon'])
  .range([60, 30]);
const xPosition =  (d, i) => i * 160 + 80;

export const fruitBowl = (selection, props) => {
  const { fruits, height } = props;
  const groups = selection.selectAll('g')
    .data(fruits, d=>d.id);
  const groupsEnter = groups
    .enter().append('g'); 

  groupsEnter.merge(groups)
    .attr('transform', (d,i) =>
            `translate(${i * 160 + 80},${height / 2})`
      );  
  
  groupsEnter.merge(groups) 
  	.transition().duration(1000)
    .attr('transform', (d,i) =>
            `translate(${i * 160 + 80},${height / 2})`
      ); 
  
  groups.exit()
  	.transition().duration(1000)
  	.style("fill","white")
  	.remove();
   
   groups.exit().select('circle')
  	.transition().duration(500) 
  	.attr('r',0);
  
  const circles = groups.select('circle');
  groupsEnter.append('circle') 
    .merge(groups.select('circle'))
  		.transition().duration(1000) 
      .attr('fill', d => colorScale(d.type))
  		.attr('r', d=>radiusScale(d.type));

const text = groups.select('text');
  groupsEnter.append('text') 
    .merge(groups.select('text'))  
      .text( d => d.type)
  		.attr('y', 120);  
}
